Bug 1248543 - User without password can't change desktop env. at login screen.
User without password can't change desktop env. at login screen.
Status: ASSIGNED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnome-shell (Show other bugs)
7.1
x86_64 Linux
unspecified Severity unspecified
: rc
: ---
Assigned To: Florian Müllner
Desktop QE
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-30 09:21 EDT by Peter Hostačný
Modified: 2017-07-01 19:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Hostačný 2015-07-30 09:21:50 EDT
Description of problem:
It is not possible to change desktop environment at login screen for users without password. They are logged in instantly after clicking on name. Desktop environment option is visible only alongside password box.

Version-Release number of selected component (if applicable):
GDM 3.8.4

How reproducible:
Always

Steps to Reproduce:
1. Create user without password.
2. Go to login screen and try to log in with another desktop environment as your default.

Actual results:


Expected results:


Additional info:
Comment 2 Ray Strode [halfline] 2015-09-18 16:07:25 EDT
we could probably add an additional click to the process if no password was requested.  

I believe right now the button is labeled [Next] anyway, so we could just move it to [Sign In]  like we do when there's a password.

Of course the user might get annoyed if they hit enter and nothing happens, so we may want to proceed automatically if the user stays idle for N seconds for some small value of N.

Note You need to log in before you can comment on or make changes to this bug.